판매 계약 API

  • 릴리스 버전: Australia
  • 업데이트 날짜 2026년 03월 12일
  • 소요 시간: 314분
  • 판매 계약 API는 새 판매 계약을 생성하고 지정된 sys_id의 기존 판매 계약을 검색하는 메서드를 제공합니다.

    이 API는 관리자, 에이전트 및 관리자가 견적에서 판매 계약을 생성하는 데 사용하는 애플리케이션의 Sales Agreement Management 데이터와 함께 작동합니다.

    판매 계약 API는 sn_sales_agmt_core 네임스페이스에서 실행되며 액세스하려면 다음 세 개의 플러그인이 필요합니다.
    • 판매 계약 데이터 모델(com.sn_sales_agmt_core) ,
    • 제품 카탈로그 관리 Core(com.sn_prd_pm),
    • 가격(com.sn_csm_pricing)

    또한 API에 액세스하려면 sn_sales_agmt_core.sales_agreement_integrator 역할이 필요합니다.

    대부분의 데이터는 이 API를 호출할 때 다음 테이블에서 검색되거나 다음 테이블에서 업데이트되며 엔드포인트가 성공적으로 작동하려면 채워져야 합니다.
    • 계정 [customer_account],
    • 제품 오퍼링 [sn_prd_pm_product_offering],
    • 제품 모델 [cmdb_model],
    • 견적 [quote],
    • 견적 라인 [quote_line],
    • 가격표 [price_list]
    • 계정 [customer_account]
    • 가격 목록 [sn_csm_pricing_price_list]
    • 제품 모델 [cmdb_model]
    • 제품 오퍼링 [sn_prd_pm_product_offering]
    • 인용문 [sn_quote_mgmt_core_quote]
    • 견적 라인 [sn_quote_mgmt_core_quote_line_item]
    • 판매 계약 [sn_sales_agmt_core_sales_agreement]
    • 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]
    • 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]
    • 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    판매 계약 - GET /api/sn_sales_agmt_core/salesagreement/{id}

    지정된 sys_id과 연결된 판매 계약을 조회합니다.

    URL 형식

    버전이 지정된 URL: GET /api/sn_sales_agmt_core/v1/salesagreement/{id}

    기본 URL: GET /api/sn_sales_agmt_core/salesagreement/{id}

    지원되는 요청 매개변수

    표 1. 경로 매개변수
    이름 설명
    api_version 옵션입니다. 액세스할 엔드포인트의 버전입니다. 예를 들어 v1 또는 v2입니다. 최신 버전이 아닌 엔드포인트 버전을 사용하도록 이 값만 지정하십시오.

    데이터 유형: 문자열

    ID 필수 검색할 판매 계약의 Sys_id입니다.

    테이블: 판매 계약 [sn_sales_agmt_core_sales_agreement]

    데이터 유형: 문자열

    표 2. 쿼리 매개변수
    이름 설명
    display_value 옵션입니다. 선택한 형식으로 판매 계약 속성을 반환합니다.
    유효한 값은 다음과 같습니다.
    • all: 응답에 판매 계약의 모든 필드에 대한 , label, display_valuevalue, 및 type 속성이 name포함되어 있습니다. 예:
      "state": {
        "display_name": "String",
        "label": "String",
        "name": "String",
        "type": "String",
        "value": "String"  
      }
    • false: 응답에 판매 계약의 모든 필드에 대한 속성만 value 포함되어 있습니다. 예:
      "state": {   
        "value": "draft" 
      }
    • true: 응답에 판매 계약의 모든 필드에 대한 속성만 display_value 포함되어 있습니다. 예:
      "state": {   
        "display_value": "Draft" 
      }

    기본값: false

    표 3. 요청 본문 매개변수(XML 또는 JSON)
    이름 설명
    안 함

    헤더

    다음 요청 및 응답 헤더는 이 HTTP 작업에만 적용되거나 고유한 방식으로 이 작업에 적용됩니다. REST API에 사용되는 일반 헤더 목록은 지원되는 REST API 헤더를 참조하십시오.

    표 4. 요청 헤더
    머리글 설명
    수용 응답 본문의 데이터 형식입니다. application/json만 지원합니다.
    콘텐츠-형식 요청 본문의 데이터 형식입니다. application/json만 지원합니다.
    표 5. 응답 헤더
    머리글 설명
    안 함

    상태 코드

    이 HTTP 작업에 적용되는 상태 코드는 다음과 같습니다. REST API에 사용되는 가능한 상태 코드 목록은 REST API HTTP 응답 코드를 참조하십시오.

    표 6. 상태 코드
    상태 코드 설명
    200 성공입니다. 요청이 성공적으로 처리되었습니다.
    403 금지되었습니다. 사용자에게 지정된 기록에 대한 액세스 권한이 없습니다.
    404 찾을 수 없습니다. 요청한 항목을 찾을 수 없습니다.

    응답 본문 매개변수(JSON 또는 XML)

    이름 설명
    결과 판매 계약의 결과와 모든 관련 정보입니다.

    데이터 유형: 객체

    "result": {
        "account": {Object},
        "billing_location": {Object},
        "consumer": {Object},
        "contact": {Object},
        "currency": {Object},
        "default_price_list": {Object},
        "ends": {Object},
        "number": {Object},
        "quote": {Object},
        "sales_agreement_lines": [Array]
        "shipping_location": {Object},
        "short_description": {Object},
        "starts": {Object},
        "state": {Object},
        "sys_id": {Object},
        "sys_created_by": {Object},
        "sys_created_on": {Object},
        "sys_updated_by": {Object},
        "sys_updated_on": {Object}
    }
    계정 판매 계약과 연결된 계정 정보입니다.

    테이블: 계정 [customer_account]

    데이터 유형: 객체

    "account": {
     "display_value": "String",
     "label": "String",
     "name": "String",
     "type": "String",
     "value": "String"
    }
    account.display_value 계정의 표시 값입니다. 일치 account.value.

    데이터 유형: 문자열

    계정.레이블 계정의 레이블입니다.

    데이터 유형: 문자열

    account.name 계정의 이름입니다.

    데이터 유형: 문자열

    계정.유형 계정 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    계정.값 계정의 Sys_id입니다.

    테이블: 계정 [customer_account]

    데이터 유형: 문자열

    billing_location 판매 계약의 청구 주소입니다.

    업데이트된 테이블: 위치 [cmn_location]

    데이터 유형: 객체

    "billing_location": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    billing_location.display_value 청구 위치의 값을 표시합니다. 일치 billing_location.value.

    데이터 유형: 문자열

    billing_location.label 청구 위치의 레이블입니다.

    데이터 유형: 문자열

    billing_location.name 청구 위치의 이름입니다.

    데이터 유형: 문자열

    billing_location.type 청구 위치의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    billing_location.value 청구 위치의 값입니다.

    데이터 유형: 문자열

    소비자 판매 계약의 소비자 상세 정보입니다.

    테이블: 소비자 [csm_consumer]

    데이터 유형: 객체

    "consumer": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    consumer.display_value 소비자의 표시 값입니다. 일치 consumer.value.

    데이터 유형: 문자열

    소비자.레이블 소비자의 레이블입니다.

    데이터 유형: 문자열

    consumer.name 소비자의 이름입니다.

    데이터 유형: 문자열

    소비자.유형 소비자 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    소비자.값 소비자의 가치입니다.

    데이터 유형: 문자열

    연락처 판매 계약과 연결된 접촉 창구 정보입니다.

    테이블: 연락처 [customer_contact]

    데이터 유형: 객체

    "contact": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    contact.display_value 연락처의 표시 값입니다. 일치 contact.value.

    데이터 유형: 문자열

    연락처.레이블 연락처의 레이블입니다.

    데이터 유형: 문자열

    contact.name 연락처의 이름입니다.

    데이터 유형: 문자열

    연락처.유형 연락처 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    연락처.값 연락처의 값입니다.

    데이터 유형: 문자열

    통화 판매 계약과 연결된 통화 코드입니다.

    테이블: 통화 [fx_currency]

    데이터 유형: 객체

    "currency": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    currency.display_value 통화의 표시 값입니다. 일치 currency.value. 예: USD.

    데이터 유형: 문자열

    currency.label 통화의 레이블입니다.

    데이터 유형: 문자열

    currency.name 통화의 이름입니다.

    데이터 유형: 문자열

    통화.유형 통화 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    통화.값 통화의 국가 통화 코드입니다. 예: USD.

    데이터 유형: 문자열

    default_price_list 판매 계약의 기본 가격 목록에 대한 상세 정보입니다.

    표: 가격 목록 [sn_csm_pricing_price_list]

    데이터 유형: 객체

    "default_price_list": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    default_price_list.display_value 기본 가격 목록의 표시 값입니다.

    데이터 유형: 문자열

    default_price_list.label 기본 가격 목록의 레이블입니다.

    데이터 유형: 문자열

    default_price_list.name 기본 가격 목록의 이름입니다.

    데이터 유형: 문자열

    default_price_list.type 기본 가격 목록의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    default_price_list.value 기본 가격 목록의 Sys_id입니다.

    데이터 유형: 문자열

    판매 계약의 종료 날짜입니다.

    데이터 유형: 객체

    "ends": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    ends.display_value 종료 날짜의 값을 표시합니다. 일치 end.value.

    데이터 유형: 문자열

    ends.label 종료 날짜의 레이블입니다.

    데이터 유형: 문자열

    ends.label 종료 날짜의 이름입니다.

    데이터 유형: 문자열

    ends.type 종료 날짜의 유형입니다. 값은 항상 glide_date입니다.

    데이터 유형: 문자열

    ends.value 종료 날짜의 값입니다.

    형식: YYYY-MM-DD

    데이터 유형: 문자열

    번호 자동으로 생성된 판매 계약 번호 또는 게시된 번호입니다.

    테이블: 판매 계약 [sn_sales_agmt_core_sales_agreement]

    데이터 유형: 객체

    "number": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    number.display_value 판매 계약 번호의 표시 값입니다. 일치 number.value.

    데이터 유형: 문자열

    숫자.레이블 판매 계약 번호의 레이블입니다.

    데이터 유형: 문자열

    number.name 판매 계약 번호의 이름입니다.

    데이터 유형: 문자열

    번호.유형 판매 계약 번호의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    숫자.값 판매 계약 번호의 값입니다. 예를 들면 SA0010106입니다.

    데이터 유형: 문자열

    견적 판매 계약 견적에 대한 정보입니다.

    테이블: 견적 [sn_quote_mgmt_core_quote]

    데이터 유형: 객체

    "quote": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    quote.display_value 견적의 표시 값입니다.

    데이터 유형: 문자열

    견적.레이블 견적의 레이블입니다.

    데이터 유형: 문자열

    quote.name 견적 이름입니다.

    데이터 유형: 문자열

    견적.유형 견적 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    견적.값 견적의 Sys_id입니다.

    데이터 유형: 문자열

    sales_agreement_lines 판매 계약에 따른 판매 계약 라인 목록입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체 배열

    sales_agreement_lines": [
      {
      "child_sales_agreement_lines": [Array]
      "end_date": {Object},
      "number": {Object},
      "parent_line": {Object},
      "price_list": {Object},
      "product_model": {Object},
      "product_offering": {Object},
      "product_specification": {Object},
      "quantity": {Object},
      "quote_line": {Object},
      "sales_agreement": {Object},
      "sales_agreement_line_characteristics": [Array],
      "sales_agreement_line_adjustments": [Array],
      "shipping_location": {Object},
      "short_description": {Object},
      "start_date": {Object},
      "state": {Object},
      "sys_id": {Object},
      "sys_created_by": {Object},
      "sys_created_on": {Object},
      "sys_updated_by": {Object},
      "sys_updated_on": {Object},
      "top_sales_agreement_line": {Object},
      "total_one_time_price": {Object},
      "total_recurring_price": {Object},
      "unit_net_price": {Object},
      "unit_of_measure": {Object},
      }
    ]
    sales_agreement_lines.sales_agreement_line_adjustments 판매 계약 라인 조정 목록입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체 배열

    "sales_agreement_line_adjustments": [
      {
      "adjustment_source": {Object},
      "adjustment_type": {Object},
      "adjustment_value": {Object},
      "amount": {Object},
      "applicable_to": {Object},
      "number": {Object},
      "quantity": {Object},
      "sales_agreement": {Object},
      "sales_agreement_line": {Object},
      "short_description": {Object},
      "sys_id": {Object},
      "sys_created_by": {Object},
      "sys_updated_by": {Object},
      "sys_created_on": {Object},
      "sys_updated_on": {Object},
      "total_amount": {Object}
      }
    ]
    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source 판매 계약 라인 조정의 소스 정보입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "adjustment_source": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.display_value 판매 계약 라인 조정의 소스 표시 값입니다. 일치 sales agreement line adjustment.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.label 판매 계약 라인 조정의 소스 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.name 판매 계약 라인 조정의 소스 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.type 판매 계약 라인 조정의 소스 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_source.value 판매 계약 라인 조정의 소스 값입니다.
    가능한 값:
    • 자동
    • 수동

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type 판매 계약 라인 조정 유형에 대한 정보입니다.

    데이터 유형: 객체

    "adjustment_type": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.display_value 조정 유형의 표시 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.label 조정 유형의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.name 조정 유형의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.type 조정 유형의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_type.value 조정 유형의 Sys_id입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.adjustment_value 조정 값에 대한 정보입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "adjustment_type": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.agreement_line_adjustments.adjustment_value.display_value 조정 값의 표시 값입니다. 일치 adjustment_value.value.

    데이터 유형: 숫자(10진수)

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.label 조정 값의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.name 조정 값의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.type 조정 유형입니다. 값은 항상 10진수입니다.

    데이터 유형: 문자열

    sales_agreement_lines.agreement_line_adjustments.adjustment_value.value 조정의 숫자 값입니다.

    데이터 유형: 숫자(10진수)

    sales_agreement_lines.sales_agreement_line_adjustments.amount 판매 계약 라인 조정 금액에 대한 정보입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "amount": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.amount.display_value 조정 금액의 표시 값입니다. 일치 amount.value. 연결된 통화의 달러 기호가 자동으로 포함됩니다(예: USD로 설정된 경우 currency$0.00).

    데이터 유형: 숫자(10진수)

    sales_agreement_lines.sales_agreement_line_adjustments.amount.label 조정 금액의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.amount.name 조정 금액의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.amount.type 조정 금액의 유형입니다. 값은 항상 통화입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.amount.value 조정 금액의 달러 값입니다.

    데이터 유형: 숫자

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to 조정을 적용할 수 있는 엔터티의 참조입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "applicable_to": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.display_value 조정을 적용할 수 있는 엔터티의 값을 표시합니다. 일치 applicable_to.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.label 조정을 적용할 수 있는 엔터티의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.name 조정을 적용할 수 있는 엔터티의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.type 조정을 적용할 수 있는 엔터티의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.applicable_to.value 라인 조정을 적용할 수 있는 수량 유형입니다.
    가능한 값:
    • LUMPSUM_QTY: 립섬 수량
    • UNIT_QTY: 단위량

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.number 자동으로 생성된 판매 계약 라인 조정 번호 또는 게시된 번호입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "number": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.number.display_value 조정 번호의 표시 값입니다. 일치 number.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.number.label 조정 번호의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.number.name 조정 번호의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.number.type 조정 번호의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.number.value 조정 번호의 값입니다. 예를 들면 SALA0010004입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.quantity 판매 계약 라인에서 조정된 제품 수량입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "quantity": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.quantity.display_value 조정 수량의 값을 표시합니다. 일치 quantity.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.label 조정 수량의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.name 조정 수량의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.type 조정 수량의 유형입니다. 값은 항상 10진수입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.quantity.value 조정 수량의 값입니다.

    데이터 유형: 숫자

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement 판매 계약 라인 조정과 연결된 판매 계약에 대한 참조입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "quantity": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.display_value 판매 계약 라인 조정과 연결된 판매 계약의 값을 표시합니다. 예를 들면 SA0010106입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.label 판매 계약 라인 조정과 연결된 판매 계약의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.name 판매 계약 라인 조정과 연결된 판매 계약의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.type 판매 계약 라인 조정과 연결된 판매 계약의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement.value 판매 계약 라인 조정과 연결된 판매 계약의 Sys_id입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line 판매 계약 라인 조정과 연결된 판매 계약 라인에 대한 참조입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "sales_agreement_line": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.display_value 판매 계약 라인 조정과 연결된 판매 계약의 수입니다. 예를 들면 SAL0010126입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.label 판매 계약 라인 조정과 연결된 판매 계약의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.name 판매 계약 라인 조정과 연결된 판매 계약의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.type 판매 계약 라인 조정과 연결된 판매 계약의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sales_agreement_line.value 판매 계약 라인 조정과 연결된 판매 계약의 Sys_id입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.short_description 판매 계약 라인 조정을 자세히 설명하는 간략한 설명입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "short_description": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.short_description.display_value 특정 라인 조정을 자세히 설명하는 간단한 설명의 값을 표시합니다. 일치 short_description.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.label 특정 라인 조정을 자세히 설명하는 짧은 설명의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.name 특정 라인 조정을 자세히 설명하는 간단한 설명의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.type 특정 라인 조정을 자세히 설명하는 간단한 설명의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.short_description.value 특정 라인 조정을 자세히 설명하는 짧은 설명의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by 판매 계약 라인 조정을 생성한 사용자의 이름입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "created_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.display_value 판매 계약 라인 조정을 생성한 사용자의 값을 표시합니다. 일치 created_by.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.label 판매 계약 라인 조정을 생성한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.name 판매 계약 라인 조정을 생성한 사용자의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.type 판매 계약 라인 조정을 생성한 사용자의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_by.value 판매 계약 라인 조정을 생성한 사용자의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on 판매 계약 라인 조정이 생성된 날짜 및 시간입니다.

    데이터 유형: 객체

    "created_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.display_value 라인 조정이 생성된 날짜 및 시간의 값을 표시합니다. 일치 created_on.value.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.label 라인 조정이 생성된 날짜 및 시간의 레이블입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.name 라인 조정이 생성된 날짜 및 시간의 이름입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.type 라인 조정이 생성된 날짜 및 시간의 유형입니다. 값은 항상 glide_date_time입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_created_on.value 라인 조정이 생성된 날짜 및 시간의 값입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id 판매 계약 라인 조정의 Sys_id입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "sys_id": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.display_value 라인 조정 sys_id의 값을 표시합니다. 일치 sys_id.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.label 라인 조정 sys_id의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.name 라인 조정 sys_id의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.type 라인 조정 sys_id의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_id.value 라인 조정 sys_id의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by 판매 계약 라인 조정을 마지막으로 업데이트한 사용자의 이름입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "updated_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.display_value 판매 계약 라인 조정을 마지막으로 업데이트한 사용자의 값을 표시합니다. 일치 updated_by.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.label 판매 계약 라인 조정을 마지막으로 업데이트한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.name 판매 계약 라인 조정을 마지막으로 업데이트한 사용자의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.type 판매 계약 라인 조정을 마지막으로 업데이트한 사용자의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_by.value 판매 계약 라인 조정을 마지막으로 업데이트한 사용자의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on 판매 계약 라인 조정이 업데이트된 날짜 및 시간입니다.

    데이터 유형: 객체

    "updated_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.display_value 라인 조정이 마지막으로 업데이트된 날짜 및 시간의 값을 표시합니다. 일치 updated_on.value.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.label 라인 조정이 마지막으로 업데이트된 날짜 및 시간의 레이블입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.name 라인 조정이 마지막으로 업데이트된 날짜 및 시간의 이름입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.type 라인 조정이 마지막으로 업데이트된 날짜 및 시간의 유형입니다. 값은 항상 glide_date_time입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.sys_updated_on.value 라인 조정이 마지막으로 업데이트된 날짜 및 시간의 값입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount 판매 계약 라인 조정의 총 금액입니다.

    테이블: 판매 계약 라인 조정 [sn_sales_agmt_core_sales_agreement_line_adjustment]

    데이터 유형: 객체

    "total_amount": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.display_value 총 조정 금액의 값을 표시합니다. 일치 total_amount.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.label 총 조정 금액의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.name 총 조정 금액의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.type 총 조정 금액의 유형입니다. 값은 항상 통화입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_adjustments.total_amount.value 총 조정 금액의 값입니다.

    데이터 유형: 숫자(float)로 표시되는 문자열

    sales_agreement_lines.child_sales_agreement_lines 판매 계약 라인의 목록입니다. 객체 매개변수와 동일한 객체 구조를 sales_agreement_lines 따릅니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체 배열
    "child_sales_agreement_lines": [
      {
      "end_date": {Object},
      "number": {Object},
      "parent_line": {Object},
      "price_list": {Object},
      "product_model": {Object},
      "product_offering": {Object},
      "product_specification": {Object},
      "quantity": {Object},
      "quote_line": {Object},
      "sales_agreement": {Object},
      "sales_agreement_line_adjustments": [Array],
      "sales_agreement_line_characteristics": [Array],
      "shipping_location": {Object},
      "short_description": {Object},
      "start_date": {Object},
      "state": {Object},
      "sys_id": {Object},
      "sys_created_by": {Object},
      "sys_created_on": {Object},
      "sys_updated_by": {Object},
      "sys_updated_on": {Object},
      "top_sales_agreement_line": {Object},
      "total_one_time_price": {Object},
      "total_recurring_price": {Object},
      "unit_net_price": {Object},
      "unit_of_measure": {Object}
      }
    ]
    sales_agreement_lines.end_date 판매 계약 라인의 종료 날짜입니다.

    데이터 유형: 객체

    "end_date": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.end_date.display_value 판매 계약 라인의 종료 날짜 값을 표시합니다. 일치 end.value.

    데이터 유형: 문자열

    sales_agreement_lines.end_date.label 판매 계약 라인의 종료 날짜 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.end_date.name 판매 계약 라인의 종료 날짜 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.end_date.type 판매 계약 라인의 종료 날짜 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sales_agreement_lines.end_date.value 판매 계약 라인의 종료 날짜 및 시간 값입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.number 자동으로 생성된 판매 계약 라인 번호 또는 게시된 번호입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "number": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.number.display_value 판매 계약 라인 번호의 값을 표시합니다. 예를 들면 SAL0010128입니다. 일치 number.value.

    데이터 유형: 문자열

    sales_agreement_lines.number.label 번호의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.number.name 번호의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.번호.유형 번호의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.number.value 판매 계약 라인 번호의 값입니다. 예를 들면 SAL0010128입니다.

    데이터 유형: 문자열

    sales_agreement_lines.parent_line 상위 판매 계약 라인에 대한 정보입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "parent_line": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.parent_line.display_value 상위 판매 계약 라인의 번호를 표시합니다. 예를 들면 SAL0010126입니다.

    데이터 유형: 문자열

    sales_agreement_lines.parent_line.label 상위 판매 계약 라인의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.parent_line.name 상위 판매 계약 라인의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.parent_line.type 상위 판매 계약 라인의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.parent_line.value 상위 판매 계약 라인의 Sys_id입니다.

    데이터 유형: 문자열

    sales_agreement_lines.price_list 판매 계약 라인의 가격 목록 상세 정보입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "price_list": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.price_list.display_value 판매 계약 라인의 가격 목록 값을 표시합니다.

    데이터 유형: 문자열

    sales_agreement_lines.price_list.label 판매 계약 라인의 가격 목록 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.price_list.name 판매 계약 라인의 가격 목록 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.price_list.type 판매 계약 라인의 가격 목록 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.price_list.value 판매 계약 라인과 연결된 가격 목록의 Sys_id입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_model 판매 계약 라인의 제품 모델에 대한 상세 정보입니다.

    테이블: 제품 모델 [cmdb_model]

    데이터 유형: 객체

    "product_model": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.product_model.display_value 판매 계약 라인에 제품 모델의 값을 표시합니다. 일치 product_model.value.

    데이터 유형: 문자열

    sales_agreement_lines.product_model.label 판매 계약 라인의 제품 모델 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_model.name 판매 계약 라인의 제품 모델 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_model.type 판매 계약 라인의 제품 모델 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_model.value 판매 계약 라인의 제품 모델 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_offering 판매 계약 라인의 제품 오퍼링에 대한 상세 정보입니다.

    테이블: 제품 오퍼링[sn_prd_pm_product_offering]

    데이터 유형: 객체

    "product_offering": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.product_offering.display_value 판매 계약 라인에 제품 오퍼링의 값을 표시합니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_offering.label 판매 계약 라인의 제품 오퍼링 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_offering.name 판매 계약 라인의 제품 오퍼링 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_offering.type 판매 계약 라인의 제품 오퍼링 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_offering.value 판매 계약 라인의 제품 오퍼링 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_specification 판매 계약 라인의 제품 사양에 대한 참조입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "product_offering": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.product_specification.display_value 판매 계약 라인에 제품 오퍼링의 값을 표시합니다. 일치 product_specification.value.

    데이터 유형: 문자열

    sales_agreement_lines.product_specification.label 판매 계약 라인의 제품 사양 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_specification.name 판매 계약 라인의 제품 사양 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_specification.type 판매 계약 라인의 제품 사양 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.product_specification.value 판매 계약 라인의 제품 사양 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.수량 판매 계약 라인에 추가할 제품 수입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "quantity": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.quantity.display_value 판매 계약 라인에 제품 수량의 값을 표시합니다. 일치 quantity.value.

    데이터 유형: 문자열

    sales_agreement_lines.수량.레이블 판매 계약 라인의 제품 수량 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.quantity.name 판매 계약 라인의 제품 수량 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.수량.유형 판매 계약 라인의 제품 수량 유형입니다. 값은 항상 10진수입니다.

    데이터 유형: 문자열

    sales_agreement_lines.수량.값 판매 계약 라인의 제품 수입니다.

    데이터 유형: 숫자

    sales_agreement_lines.quote_line 판매 계약 라인의 견적 라인 항목 참조입니다.

    테이블: 견적 라인 [sn_quote_mgmt_core_quote_line_item]

    데이터 유형: 객체

    "quote_line": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.quote_line.display_value 판매 계약 라인에 견적 라인 항목의 값을 표시합니다.

    데이터 유형: 문자열

    sales_agreement_lines.quote_line.label 판매 계약 라인의 견적 라인 항목 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.quote_line.name 판매 계약 라인의 견적 라인 항목 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.quote_line.type 판매 계약 라인의 견적 라인 항목 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.quote_line.value 판매 계약 라인의 견적 라인 항목 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement 판매 계약 라인의 판매 계약에 대한 참조입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "sales_agreement": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement.display_value 판매 계약 라인의 판매 계약 값을 표시합니다. 예를 들면 SA0010106입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement.label 판매 계약 라인의 판매 계약 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement.name 판매 계약 라인의 판매 계약 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement.type 판매 계약 라인의 판매 계약 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement.value 판매 계약 라인의 판매 계약 Sys_id입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics 판매 계약 라인 특성 목록입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체 배열

    "sales_agreement_line_characteristics": [
     {
       "characteristic": {Object},
       "characteristic_option": {Object},
       "sales_agreement": {Object},
       "sales_agreement_line": {Object},
       "sys_id": {Object},
       "sys_created_by": {Object},
       "sys_updated_by": {Object},
       "sys_created_on": {Object},
       "sys_updated_on": {Object},
       "type": {Object},
       "value": {Object}
      }
    ]
    sales_agreement_lines.sales_agreement_line_characteristics.characteristic 판매 계약 라인과 연결된 특성입니다.

    테이블: sn_prd_pm_characteristic

    데이터 유형: 객체

    "characteristic": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.display_value 판매 계약 라인에 특성의 값을 표시합니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.label 판매 계약 라인의 특성 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.name 판매 계약 라인의 특성 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.type 판매 계약 라인의 특성 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic.value 판매 계약 라인의 특성 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option 판매 계약 라인의 특성 옵션에 대한 정보입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체

    "characteristic_option": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.display_value 판매 계약 라인에 특성의 값을 표시합니다. 일치 characteristic_option.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.label 판매 계약 라인의 특성 옵션 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.name 판매 계약 라인의 특성 옵션 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.type 판매 계약 라인의 특성 옵션 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.characteristic_option.value 판매 계약 라인의 특성 옵션 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement 판매 계약 라인의 판매 계약 특성에 대한 상세 정보입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체

    "sales_agreement": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.display_value 판매 계약 특성의 표시 값입니다. 일치 sales_agreement.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.label 판매 계약 특성의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.name 판매 계약 특성의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.type 판매 계약 특성의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement.value 판매 계약 특성의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line 판매 계약 라인의 특성에 대한 상세 정보입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체

    "sales_agreement_line": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.display_value 판매 계약 라인의 특성 값을 표시합니다. 일치 sales_agreement_line.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.label 판매 계약 라인의 특성 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.name 판매 계약 라인의 특성 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.type 판매 계약 라인의 특성 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sales_agreement_line.value 판매 계약 라인의 특성 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by 판매 계약 라인 특성을 생성한 사용자의 이름입니다.

    테이블: 사용자 [user]

    데이터 유형: 객체

    "sys_created_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.display_value 작성자 필드의 표시 값입니다. 일치 sys_created_by.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.label 작성자 필드의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.name 작성자 필드의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.type 작성자 필드의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_by.value 작성자 필드의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on 판매 계약 라인 특성이 생성된 날짜 및 시간입니다.

    데이터 유형: 객체

    "sys_created_on": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.display_value 작성 날짜 필드의 표시 값입니다. 일치 sys_created_on.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.label 작성 날짜 필드의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.name 작성 날짜 필드의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.type 작성 날짜 필드의 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_created_on.value 작성 날짜 필드의 값입니다.

    형식: YYYY-DD-MM HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id 판매 계약 라인 특성의 Sys_id입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체

    "sys_id": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.display_value 특성 sys_id의 표시 값입니다. 일치 sys_id.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.label 특성 sys_id의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.name 특성 sys_id의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.type 특성 sys_id의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_id.id 특성 sys_id의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by 판매 계약 라인 특성을 마지막으로 업데이트한 사용자의 이름입니다.

    테이블: 사용자 [user]

    데이터 유형: 객체

    "sys_updated_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.display_value 판매 계약 라인 항목의 특성을 업데이트한 사용자의 값을 표시합니다. 일치 sys_created_by.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.label 특성을 업데이트한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.name 특성을 업데이트한 사용자의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.type 특성을 업데이트한 사용자의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_by.value 특성을 업데이트한 사용자의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on 판매 계약 라인 특성이 마지막으로 업데이트된 날짜 및 시간입니다.

    데이터 유형: 객체

    "sys_updated_on": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.display_value 업데이트 날짜의 값을 표시합니다. 일치 updated_on.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.label 업데이트된 날짜의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.name 업데이트된 날짜의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.type 업데이트된 날짜의 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.sys_updated_on.value 업데이트된 날짜의 값입니다.

    형식: YYYY-DD-MM HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.type 판매 계약 라인 특성의 특성 유형입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체

    "type": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.type.display_value 특성 유형의 표시 값입니다. 일치 type.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.type.label 특성 유형의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.type.name 특성 유형의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.type.type 특성 유형의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.type.value 특성 유형의 값입니다.
    가능한 값:
    • 범위
    • 범위 및 사용

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.value 판매 계약 라인의 특성 값입니다.

    테이블: 판매 계약 라인 특성 [sn_sales_agmt_core_sales_agreement_line_characteristic]

    데이터 유형: 객체

    "type": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sales_agreement_line_characteristics.value.display_value 특성의 표시 값입니다. 일치 type.value.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.value.label 특성 값의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.value.name 특성 값의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.value.type 특성 값의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sales_agreement_line_characteristics.value.value 특성의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.short_description 판매 계약 라인을 설명하는 간략한 세부 정보입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "short_description": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.short_description.display_value 간단한 설명의 표시 값입니다. 일치 short_description.value.

    데이터 유형: 문자열

    sales_agreement_lines.short_description.label 짧은 설명의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.short_description.name 짧은 설명의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.short_description.type 간단한 설명의 유형입니다. 항상 문자열 형식입니다.

    데이터 유형: 문자열

    sales_agreement_lines.short_description.value 짧은 설명의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.start_date 판매 계약 라인의 시작 날짜입니다.

    데이터 유형: 객체

    "start_date": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.start_date.display_value 판매 계약 라인의 시작 날짜 값을 표시합니다. 일치 start_date.value.

    데이터 유형: 문자열

    sales_agreement_lines.start_date.label 판매 계약 라인의 시작 날짜 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.start_date.name 판매 계약 라인의 시작 날짜 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.start_date.type 판매 계약 라인의 시작 날짜 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sales_agreement_lines.start_date.value 판매 계약 라인의 시작 날짜 값입니다.

    형식: YYYY-MM-DD

    데이터 유형: 문자열

    sales_agreement_lines.상태 판매 계약 라인의 유효한 상태입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "state": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.state.display_value 상태의 표시 값입니다. 일치 state.value.

    데이터 유형: 문자열

    sales_agreement_lines.state.label 상태의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.state.name 시/도 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.state.type 상태 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.state.value 상태의 값입니다.
    가능한 값:
    • pending_activation
    • 일시 중단됨
    • 활성
    • 만료됨
    • 취소됨

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_by 판매 계약 라인을 생성한 사용자의 이름입니다.

    테이블: 사용자 [user]

    데이터 유형: 객체

    "sys_created_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_created_by.display_value 판매 계약 라인을 생성한 사용자의 값을 표시합니다. 일치 sys_created_by.value.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_by.label 판매 계약 라인을 생성한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_by.name 판매 계약 라인을 생성한 사용자의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_by.type 작성자 필드의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_by.value 판매 계약 라인을 생성한 사용자의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_on 판매 계약 라인 기록이 생성된 날짜 및 시간입니다.

    데이터 유형: 객체

    "sys_created_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_created_on.display_value 판매 계약 라인 기록의 생성 날짜 값을 표시합니다. 일치 sys_created_on.value.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_on.label 판매 계약 라인 기록의 생성 날짜 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_on.name 판매 계약 라인 기록의 생성 날짜 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_on.type 판매 계약 라인 기록의 생성 날짜 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_created_on.value 판매 계약 라인 기록의 생성 날짜 값입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.sys_id 판매 계약 라인 기록의 Sys_id입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "sys_id": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sales_agreement_lines.sys_id.displayValue 판매 계약 라인 기록의 sys_id 값을 표시합니다. 일치 sys_id.value.

    데이터 유형: 문자열

    sales_agreement_lines.sys_id.label 판매 계약 라인 기록 sys_id의 자동 생성된 이름 또는 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_id.type 판매 계약 라인 기록의 sys_id 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_id.value 판매 계약 라인 기록에 할당된 Sys_id 번호입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_by 판매 계약 라인을 마지막으로 업데이트한 사용자의 이름입니다.

    테이블: 사용자 [user]

    데이터 유형: 객체

    "sys_updated_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_updated_by.display_value 판매 계약 라인을 업데이트한 사용자의 값을 표시합니다. 일치 sys_updated_by.value.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_by.label 판매 계약 라인을 업데이트한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_by.name 판매 계약 라인을 업데이트한 사용자의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_by.type 판매 계약 라인을 업데이트한 사용자의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_by.value 판매 계약 라인을 업데이트한 사용자의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_on 판매 계약 라인 기록이 마지막으로 업데이트된 날짜 및 시간입니다.

    데이터 유형: 객체

    "sys_updated_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.sys_updated_on.display_value 판매 계약 라인에 업데이트된 날짜 및 시간의 표시 값입니다. 일치 sys_updated_on.value.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_on.label 판매 계약 라인의 업데이트된 날짜 및 시간 레이블

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_on.name 판매 계약 라인의 업데이트된 날짜 및 시간 이름

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_on.type 판매 계약 라인의 업데이트된 날짜 및 시간 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sales_agreement_lines.sys_updated_on.value 판매 계약 라인의 업데이트된 날짜 및 시간 값

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sales_agreement_lines.top_sales_agreement_line 상위 판매 계약 라인에 대한 정보입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "top_sales_agreement_line": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.top_sales_agreement_line.display_value 상위 판매 계약 라인의 값을 표시합니다. 일치 top_sales_agreement_line.value.

    데이터 유형: 문자열

    sales_agreement_lines.top_sales_agreement_line.label 최상위 판매 계약 라인의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.top_sales_agreement_line.name 상위 판매 계약 라인의 이름을 지정합니다.

    데이터 유형: 문자열

    sales_agreement_lines.top_sales_agreement_line.type 상위 판매 계약 라인의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.top_sales_agreement_line.value 상위 판매 계약 라인의 값입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_one_time_price 제품 또는 서비스에 대해 지불할 총 일회성 요금입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "total_one_time_price": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.total_one_time_price.display_value 총 일회성 가격의 표시 값입니다. 일치 total_one_time_price.value.

    데이터 유형: 문자열

    sales_agreement_lines.total_one_time_price.label 총 일회성 가격의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_one_time_price.name 총 일회성 가격의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_one_time_price.type 총 일회성 가격의 유형입니다. 값은 항상 10진수입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_one_time_price.value 총 일회성 가격의 값입니다.

    데이터 유형: 숫자(통화)로 표시되는 문자열

    sales_agreement_lines.total_recurring_price 판매 계약 라인과 연결된 제품의 총 반복되는 가격입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "total_recurring_price": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.total_recurring_price.display_value 총 일회성 가격의 표시 값입니다. 일치 total_recurring_price.value.

    데이터 유형: 문자열

    sales_agreement_lines.total_recurring_price.label 총 반복 가격의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_recurring_price.name 총 반복 가격의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_recurring_price.type 총 반복 가격의 유형입니다. 값은 항상 10진수입니다.

    데이터 유형: 문자열

    sales_agreement_lines.total_recurring_price.value 총 반복 가격의 값입니다.

    데이터 유형: 숫자(통화)로 표시되는 문자열

    sales_agreement_lines.unit_net_price 판매 계약 라인 내의 각 단위에 대한 가격입니다.

    테이블: 판매 계약 라인 [sn_sales_agmt_core_sales_agreement_line]

    데이터 유형: 객체

    "unit_net_price": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.unit_net_price 개당 원가의 표시 값입니다. 일치 unit_net_price.value.

    데이터 유형: 문자열

    sales_agreement_lines.unit_net_price 개당 원가의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.unit_net_price 개당 원가의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.unit_net_price 개당 원가의 유형입니다. 값은 항상 10진수입니다.

    데이터 유형: 문자열

    sales_agreement_lines.unit_net_price 개당 원가의 값입니다.

    데이터 유형: 숫자(통화)로 표시되는 문자열

    sales_agreement_lines.unit_of_measurement 판매 계약 라인의 측정 단위입니다.

    테이블: 측정 단위 [sn_prd_pm_uom_list]

    데이터 유형: 객체

    "unit_of_measurement": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sales_agreement_lines.unit_of_measurement.display_value 측정 단위의 표시 값입니다. 일치 unit_of_measurement.value.

    데이터 유형: 문자열

    sales_agreement_lines.unit_of_measurement.label 측정 단위의 레이블입니다.

    데이터 유형: 문자열

    sales_agreement_lines.unit_of_measurement.name 측정 단위의 이름입니다.

    데이터 유형: 문자열

    sales_agreement_lines.unit_of_measurement.type 측정 단위의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    sales_agreement_lines.unit_of_measurement.value 측정 단위의 값입니다. 예를 들어, 번들 또는 각각입니다.

    데이터 유형: 문자열

    shipping_location 판매 계약의 배송 주소 세부 정보입니다.

    테이블: 위치 [location]

    데이터 유형: 객체

    "unit_of_measure": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    shipping_location.display_value 배송 위치의 값을 표시합니다.

    데이터 유형: 문자열

    shipping_location.label 배송 위치의 레이블입니다.

    데이터 유형: 문자열

    shipping_location.name 배송 위치의 이름입니다.

    데이터 유형: 문자열

    shipping_location.type 배송 위치의 유형입니다. 값은 항상 참조입니다.

    데이터 유형: 문자열

    shipping_location.value 배송 위치의 값입니다. 예를 들어 주소입니다.

    데이터 유형: 문자열

    short_description 판매 계약을 설명하는 간략한 세부 정보입니다.

    테이블: 판매 계약 [sn_sales_agmt_core_sales_agreement]

    데이터 유형: 객체

    "short_description": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    short_description.display_value 간단한 설명의 표시 값입니다. 일치 short_description.value.

    데이터 유형: 문자열

    short_description.label 짧은 설명의 레이블입니다.

    데이터 유형: 문자열

    short_description.name 짧은 설명의 이름입니다.

    데이터 유형: 문자열

    short_description.type 간단한 설명의 유형입니다. 항상 문자열 형식입니다.

    데이터 유형: 문자열

    short_description.value 짧은 설명의 값입니다.

    데이터 유형: 문자열

    시작 판매 계약의 시작 날짜입니다.

    데이터 유형: 객체

    "starts": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    starts.display_value 시작 날짜의 표시 값입니다. 일치 start.value.

    데이터 유형: 문자열

    starts.label 시작 날짜의 레이블입니다.

    데이터 유형: 문자열

    starts.name 시작 날짜의 이름입니다.

    데이터 유형: 문자열

    시작.유형 시작 날짜의 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    starts.value 시작 날짜의 값입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    상태 판매 계약의 상태입니다.

    테이블: 판매 계약 [sn_sales_agmt_core_sales_agreement]

    데이터 유형: 객체

    "state": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    state.display_value 상태의 표시 값입니다. 일치 state.value.

    데이터 유형: 문자열

    state.lable 상태의 레이블입니다.

    데이터 유형: 문자열

    state.name 시/도 이름입니다.

    데이터 유형: 문자열

    상태.유형 상태 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    상태.값 상태의 값입니다.
    가능한 값:
    • 활성
    • 취소됨
    • 초안
    • 만료됨

    데이터 유형: 문자열

    sys_created_by 판매 계약을 생성한 사용자의 이름입니다.

    테이블: 사용자 [user]

    데이터 유형: 객체

    "sys_created_by": {
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_created_by.display_value 판매 계약을 생성한 사용자의 값을 표시합니다. 일치 sys_created_by.value.

    데이터 유형: 문자열

    sys_created_by.label 판매 계약을 생성한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sys_created_by.name 판매 계약을 생성한 사용자의 이름입니다.

    데이터 유형: 문자열

    sys_created_by.type 판매 계약을 생성한 사용자의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sys_created_by.value 판매 계약을 생성한 사용자의 값입니다.

    데이터 유형: 문자열

    sys_created_on 판매 계약이 생성된 날짜 및 시간에 대한 상세 정보입니다.

    데이터 유형: 객체

    "sys_created_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_created_on.display_value 생성 날짜 및 시간의 값을 표시합니다. 일치 sys_created_on.value.

    데이터 유형: 문자열

    sys_created_on.label 생성 날짜 및 시간의 레이블입니다.

    데이터 유형: 문자열

    sys_created_on.name 작성 날짜 및 시간의 이름입니다.

    데이터 유형: 문자열

    sys_created_on.type 생성 날짜 및 시간의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sys_created_on.value 생성 날짜 및 시간의 값입니다.

    데이터 유형: 문자열

    sys_id 새로 생성된 판매 계약의 Sys_id입니다.

    테이블: 판매 계약 [sn_sales_agmt_core_sales_agreement]

    데이터 유형: 객체

    "sys_id": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String" 
    }
    sys_id.displayValue 고유 sys_id 값의 표시 값입니다. 일치 sys_id.value.

    데이터 유형: 문자열

    sys_id.label 자동으로 생성된 sys_id 이름 또는 레이블입니다.

    데이터 유형: 문자열

    sys_id.type 판매 계약에 제공된 sys_id의 유형입니다. 값은 항상 GUID입니다.

    데이터 유형: 문자열

    sys_id.value 새 판매 계약에 할당된 Sys_id 번호입니다.

    데이터 유형: 문자열

    sys_updated_by 판매 계약을 마지막으로 업데이트한 사용자의 이름입니다.

    테이블: 사용자 [user]

    데이터 유형: 객체

    "sys_updated_by": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_updated_by.display_value 판매 계약을 업데이트한 사용자의 값을 표시합니다. 일치 sys_updated_by.value.

    데이터 유형: 문자열

    sys_updated_by.label 판매 계약을 업데이트한 사용자의 레이블입니다.

    데이터 유형: 문자열

    sys_updated_by.name 판매 계약을 업데이트한 사용자의 이름입니다.

    데이터 유형: 문자열

    sys_updated_by.type 판매 계약을 업데이트한 사용자의 유형입니다. 값은 항상 문자열입니다.

    데이터 유형: 문자열

    sys_updated_by.value 판매 계약을 업데이트한 사용자의 값입니다.

    데이터 유형: 문자열

    sys_updated_on 판매 계약이 업데이트된 날짜 및 시간에 대한 상세 정보입니다.

    데이터 유형: 객체

    "sys_updated_on": { 
      "display_value": "String",
      "label": "String",
      "name": "String",
      "type": "String",
      "value": "String"
    }
    sys_updated_on.display_value 업데이트된 판매 계약의 날짜 및 시간 값입니다. 일치 sys_updated_on.value.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    sys_updated_on.label 업데이트된 판매 계약의 레이블입니다.

    데이터 유형: 문자열

    sys_updated_on.name 업데이트된 판매 계약의 이름입니다.

    데이터 유형: 문자열

    sys_updated_on.type 업데이트된 판매 계약의 유형입니다. 값은 항상 glide_date_time입니다.

    데이터 유형: 문자열

    sys_updated_on.value 업데이트된 판매 계약의 날짜 및 시간 값입니다.

    형식: YYYY-MM-DD HH:mm:ss

    데이터 유형: 문자열

    cURL 요청

    다음 예에서는 지정된 sys_id과 연결된 판매 계약 정보를 반환하고 표시 값이 응답 본문에 제공되도록 true로 설정된 선택적 display_value 매개변수를 반환합니다.

    
    curl "https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    응답 본문. 응답에는 지정된 판매 계약의 모든 매개변수에 대한 display_values이 표시됩니다.
    {
      "result": {
        "sys_id": {
          "display_value": "eb853fe5b5165610f87786d3c2884335"
        },
        "sys_created_by": {
          "display_value": "maint"
        },
        "sys_updated_by": {
          "display_value": "maint"
        },
        "sys_created_on": {
          "display_value": "2024-12-05 22:43:51"
        },
        "sys_updated_on": {
          "display_value": "2024-12-05 22:43:51"
        },
        "account": {
          "display_value": "Boxeo"
        },
        "consumer": {
          "display_value": ""
        },
        "number": {
          "display_value": "SA0010004"
        },
        "state": {
          "display_value": "Active"
        },
        "starts": {
          "display_value": "2024-01-01"
        },
        "ends": {
          "display_value": "2024-12-31"
        },
        "short_description": {
          "display_value": "This is a Sa created by API"
        },
        "currency": {
          "display_value": "USD"
        },
        "default_price_list": {
          "display_value": "SA Price List"
        },
        "billing_location": {
          "display_value": "100 South Charles Street, Baltimore,MD"
        },
        "contact": {
          "display_value": "Alex Linde"
        },
        "shipping_location": {
          "display_value": "100 South Charles Street, Baltimore,MD"
        },
        "quote": {
          "display_value": "QT0000001"
        },
        "sales_agreement_lines": [
          {
            "sys_id": {
              "display_value": "af853fe5b5165610f87786d3c2884339"
            },
            "sys_created_by": {
              "display_value": "maint"
            },
            "sys_updated_by": {
              "display_value": "maint"
            },
            "sys_created_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "sys_updated_on": {
              "display_value": "2024-12-05 22:43:51"
            },
            "number": {
              "display_value": "SAL0010003"
            },
            "sales_agreement": {
              "display_value": "SA0010004"
            },
            "short_description": {
              "display_value": "this is sample sa line 1"
            },
            "start_date": {
              "display_value": "2024-11-10"
            },
            "end_date": {
              "display_value": "2024-12-31"
            },
            "state": {
              "display_value": "Active"
            },
            "product_offering": {
              "display_value": "Home Automation Bundle"
            },
            "product_specification": {
              "display_value": ""
            },
            "product_model": {
              "display_value": ""
            },
            "price_list": {
              "display_value": "SA Price List"
            },
            "parent_line": {
              "display_value": ""
            },
            "unit_net_price": {
              "display_value": "£314.2315"
            },
            "quantity": {
              "display_value": "2"
            },
            "unit_of_measurement": {
              "display_value": "Each"
            },
            "shipping_location": {
              "display_value": "100 South Charles Street, Baltimore,MD"
            },
            "total_one_time_price": {
              "display_value": "£314.2315"
            },
            "total_recurring_price": {
              "display_value": "£0.00"
            },
            "top_sales_agreement_line": {
              "display_value": "SAL0010003"
            },
            "quote_line": {
              "display_value": ""
            },
            "child_sales_agreement_lines": [
              {
                "sys_id": {
                  "display_value": "eb85f329b5165610f87786d3c2884318"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "number": {
                  "display_value": "SAL0010004"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "short_description": {
                  "display_value": "this is sample child sa line 1"
                },
                "start_date": {
                  "display_value": "2024-11-11"
                },
                "end_date": {
                  "display_value": "2024-12-31"
                },
                "state": {
                  "display_value": "Active"
                },
                "product_offering": {
                  "display_value": "Home Automation Hub"
                },
                "product_specification": {
                  "display_value": ""
                },
                "product_model": {
                  "display_value": ""
                },
                "price_list": {
                  "display_value": "SA Price List"
                },
                "parent_line": {
                  "display_value": "SAL0010003"
                },
                "unit_net_price": {
                  "display_value": "£94.2694"
                },
                "quantity": {
                  "display_value": "2"
                },
                "unit_of_measurement": {
                  "display_value": "Each"
                },
                "shipping_location": {
                  "display_value": "100 South Charles Street, Baltimore,MD"
                },
                "total_one_time_price": {
                  "display_value": "£94.2694"
                },
                "total_recurring_price": {
                  "display_value": "£0.00"
                },
                "top_sales_agreement_line": {
                  "display_value": "SAL0010003"
                },
                "quote_line": {
                  "display_value": ""
                },
                "child_sales_agreement_lines": [],
                "sales_agreement_line_characteristics": [
                  {
                    "sys_id": {
                      "display_value": "e385f329b5165610f87786d3c288431a"
                    },
                    "sys_created_by": {
                      "display_value": "maint"
                    },
                    "sys_updated_by": {
                      "display_value": "maint"
                    },
                    "sys_created_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sys_updated_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sales_agreement": {
                      "display_value": "SA0010004"
                    },
                    "sales_agreement_line": {
                      "display_value": "SAL0010004"
                    },
                    "characteristic": {
                      "display_value": "Connectivity Tech"
                    },
                    "type": {
                      "display_value": null
                    },
                    "characteristic_option": {
                      "display_value": "3G"
                    },
                    "value": {
                      "display_value": "3G"
                    }
                  }
                ],
                "sales_agreement_line_adjustments": [
                  {
                    "sys_id": {
                      "display_value": "2385f329b5165610f87786d3c288431b"
                    },
                    "sys_created_by": {
                      "display_value": "maint"
                    },
                    "sys_updated_by": {
                      "display_value": "maint"
                    },
                    "sys_created_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sys_updated_on": {
                      "display_value": "2024-12-05 22:43:51"
                    },
                    "sales_agreement": {
                      "display_value": "SA0010004"
                    },
                    "sales_agreement_line": {
                      "display_value": "SAL0010004"
                    },
                    "adjustment_type": {
                      "display_value": "Markdown %"
                    },
                    "adjustment_source": {
                      "display_value": "Manual"
                    },
                    "adjustment_value": {
                      "display_value": "20"
                    },
                    "applicable_to": {
                      "display_value": "Unit Quantity"
                    },
                    "short_description": {
                      "display_value": "Price adjustment"
                    },
                    "number": {
                      "display_value": "SALA0010004"
                    },
                    "quantity": {
                      "display_value": "1"
                    },
                    "total_amount": {
                      "display_value": "£28.00"
                    },
                    "amount": {
                      "display_value": "£28.00"
                    }
                  }
                ]
              }
            ],
            "sales_agreement_line_characteristics": [
              {
                "sys_id": {
                  "display_value": "a785f329b5165610f87786d3c2884315"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "sales_agreement_line": {
                  "display_value": "SAL0010003"
                },
                "characteristic": {
                  "display_value": "Connectivity Tech"
                },
                "type": {
                  "display_value": null
                },
                "characteristic_option": {
                  "display_value": "3G"
                },
                "value": {
                  "display_value": "3G"
                }
              }
            ],
            "sales_agreement_line_adjustments": [
              {
                "sys_id": {
                  "display_value": "2b85f329b5165610f87786d3c2884316"
                },
                "sys_created_by": {
                  "display_value": "maint"
                },
                "sys_updated_by": {
                  "display_value": "maint"
                },
                "sys_created_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sys_updated_on": {
                  "display_value": "2024-12-05 22:43:51"
                },
                "sales_agreement": {
                  "display_value": "SA0010004"
                },
                "sales_agreement_line": {
                  "display_value": "SAL0010003"
                },
                "adjustment_type": {
                  "display_value": "Markdown %"
                },
                "adjustment_source": {
                  "display_value": "Auto"
                },
                "adjustment_value": {
                  "display_value": "10"
                },
                "applicable_to": {
                  "display_value": "Unit Quantity"
                },
                "short_description": {
                  "display_value": "Price adjustment"
                },
                "number": {
                  "display_value": "SALA0010003"
                },
                "quantity": {
                  "display_value": "3"
                },
                "total_amount": {
                  "display_value": "£120.00"
                },
                "amount": {
                  "display_value": "£40.00"
                }
              }
            ]
          }
        ]
      }
    }

    cURL 요청

    다음 예제에서는 지정된 sys_id과 연결된 판매 계약 정보를 반환하고 모든 매개변수 값이 응답 본문에 제공되도록 선택적 display_value 매개변수를 모두 로 설정합니다.

    
    curl "https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true" \
    --request POST \
    --header "Accept:application/json" \
    --header "Content-Type:application/json" \
    --data "{
      "state": "active",
      "account": "86837a386f0331003b3c498f5d3ee4ca",
      "starts": "2024-01-01",
      "ends": "2024-12-31",
      "short_description": "this is a sample sales agreement",
      "quote": "04ba9004f11f3110f8777d7194f166f6",
      "default_price_list": "19d29513d0e63110f8770dbf976be122",
      "contact": "",
      "name": "",
      "description": "",
      "currency": "",
      "sales_agreement_lines": [
        {
          "start_date": "2024-02-01",
          "end_date": "2024-11-30",
          "short_description": "this is sample sa line 1",
          "state": "active",
          "quantity": "",
          "price_list": "19d29513d0e63110f8770dbf976be122",
          "product_offering": "",
          "product_specification": "",
          "product_model": "",
          "unit_net_price": "",
          "unit_of_measure": "",
          "shipping_location": "",
          "billing_location": "",
          "total_one_time_price": "",
          "total_recurring_price": "",
          "quote_line": "",
          "child_sales_agreement_lines": [
            {
              "start_date": "2024-02-01",
              "end_date": "2024-11-30",
              "short_description": "this is sample sa line 1",
              "state": "active",
              "quantity": "",
              "price_list": "19d29513d0e63110f8770dbf976be122",
              "product_offering": "",
              "product_specification": "",
              "product_model": "",
              "unit_net_price": "",
              "unit_of_measure": "",
              "shipping_location": "",
              "billing_location": "",
              "total_one_time_price": "",
              "total_recurring_price": "",
              "quote_line": "",
              "sales_agreement_line_characteristics": [
                {
                  "characteristic": "4d289f1a775131108e191e599a5a99c7",
                  "type": "coverage",
                  "characteristic_option": "",
                  "value": ""
                }
              ]
            },
            {
              "start_date": "2024-02-01",
              "end_date": "2024-11-30",
              "short_description": "this is sample sa line 1",
              "state": "active",
              "quantity": "",
              "price_list": "19d29513d0e63110f8770dbf976be122",
              "product_offering": "",
              "product_specification": "",
              "product_model": "",
              "unit_net_price": "",
              "unit_of_measure": "",
              "shipping_location": "",
              "billing_location": "",
              "total_one_time_price": "",
              "total_recurring_price": "",
              "quote_line": "",
              "sales_agreement_line_characteristics": [
                {
                  "characteristic": "4d289f1a775131108e191e599a5a99c7",
                  "type": "coverage",
                  "characteristic_option": "",
                  "value": ""
                }
              ]
            }
          ],
          "sales_agreement_line_characteristics": [
            {
              "characteristic": "4d289f1a775131108e191e599a5a99c7",
              "type": "coverage",
              "characteristic_option": "",
              "value": ""
            }
          ],
          "sales_agreement_line_adjustments": [
            {
              "total_amount": "",
              "quantity": 3,
              "amount": "",
              "short_description": "line adjustment",
              "adjustment_value": "123",
              "adjustment_source": "",
              "adjustment_type": "d88bc79653dd91105c0eddeeff7b12c1",
              "applicable_to": ""
            }
          ]
        }
      ]
    }"

    응답 본문. 응답에는 지정된 판매 계약의 모든 매개변수가 표시됩니다.

    {
      "result": {
        "sys_id": {
          "label": "Sys ID",
          "value": "bc93e08a78755a10f8777f88938ba1d8",
          "displayValue": "bc93e08a78755a10f8777f88938ba1d8",
          "type": "GUID"
        },
        "sys_created_by": {
          "name": "sys_created_by",
          "label": "Created by",
          "value": "maint",
          "display_value": "maint",
          "type": "string"
        },
        "sys_updated_by": {
          "name": "sys_updated_by",
          "label": "Updated by",
          "value": "maint",
          "display_value": "maint",
          "type": "string"
        },
        "sys_created_on": {
          "name": "sys_created_on",
          "label": "Created",
          "value": "2024-11-12 08:11:59",
          "display_value": "2024-11-12 00:11:59",
          "type": "glide_date_time"
        },
        "sys_updated_on": {
          "name": "sys_updated_on",
          "label": "Updated",
          "value": "2024-11-12 08:11:59",
          "display_value": "2024-11-12 00:11:59",
          "type": "glide_date_time"
        },
        "name": null,
        "account": {
          "name": "account",
          "label": "Account",
          "value": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo",
          "type": "reference"
        },
        "consumer": {
          "name": "consumer",
          "label": "Consumer",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "number": {
          "name": "number",
          "label": "Number",
          "value": "SA0010106",
          "display_value": "SA0010106",
          "type": "string"
        },
        "state": {
          "name": "state",
          "label": "State",
          "value": "active",
          "display_value": "Active",
          "type": "string"
        },
        "starts": {
          "name": "starts",
          "label": "Start date",
          "value": "2024-01-01",
          "display_value": "2024-01-01",
          "type": "glide_date"
        },
        "ends": {
          "name": "ends",
          "label": "End date",
          "value": "2024-12-31",
          "display_value": "2024-12-31",
          "type": "glide_date"
        },
        "short_description": {
          "name": "short_description",
          "label": "Short description",
          "value": "this is a sample sales agreement",
          "display_value": "this is a sample sales agreement",
          "type": "string"
        },
        "description": {
          "name": "description",
          "label": "Description",
          "value": null,
          "display_value": "",
          "type": "string"
        },
        "currency": {
          "name": "currency",
          "label": "Currency",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "default_price_list": {
          "name": "default_price_list",
          "label": "Default price list",
          "value": "19d29513d0e63110f8770dbf976be122",
          "display_value": "Standard Price List",
          "type": "reference"
        },
        "billing_location": {
          "name": "billing_location",
          "label": "Billing location",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "contact": {
          "name": "contact",
          "label": "Contact",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "shipping_location": {
          "name": "shipping_location",
          "label": "Shipping location",
          "value": null,
          "display_value": "",
          "type": "reference"
        },
        "quote": {
          "name": "quote",
          "label": "Quote",
          "value": "04ba9004f11f3110f8777d7194f166f6",
          "display_value": "QT0000001",
          "type": "reference"
        },
        "service_contract_lines": [
          {
            "sys_id": {
              "label": "Sys ID",
              "value": "3c93e08a78755a10f8777f88938ba1dd",
              "displayValue": "3c93e08a78755a10f8777f88938ba1dd",
              "type": "GUID"
            },
            "sys_created_by": {
              "name": "sys_created_by",
              "label": "Created by",
              "value": "maint",
              "display_value": "maint",
              "type": "string"
            },
            "sys_updated_by": {
              "name": "sys_updated_by",
              "label": "Updated by",
              "value": "maint",
              "display_value": "maint",
              "type": "string"
            },
            "sys_created_on": {
              "name": "sys_created_on",
              "label": "Created",
              "value": "2024-11-12 08:11:59",
              "display_value": "2024-11-12 00:11:59",
              "type": "glide_date_time"
            },
            "sys_updated_on": {
              "name": "sys_updated_on",
              "label": "Updated",
              "value": "2024-11-12 08:11:59",
              "display_value": "2024-11-12 00:11:59",
              "type": "glide_date_time"
            },
            "number": {
              "name": "number",
              "label": "Number",
              "value": "SAL0010126",
              "display_value": "SAL0010126",
              "type": "string"
            },
            "sales_agreement": {
              "name": "sales_agreement",
              "label": "Sales agreement",
              "value": "bc93e08a78755a10f8777f88938ba1d8",
              "display_value": "SA0010106",
              "type": "reference"
            },
            "short_description": {
              "name": "short_description",
              "label": "Short description",
              "value": "this is sample sa line 1",
              "display_value": "this is sample sa line 1",
              "type": "string"
            },
            "start_date": {
              "name": "start_date",
              "label": "Start date",
              "value": "2024-02-01",
              "display_value": "2024-02-01",
              "type": "glide_date"
            },
            "end_date": {
              "name": "end_date",
              "label": "End date",
              "value": "2024-11-30",
              "display_value": "2024-11-30",
              "type": "glide_date"
            },
            "state": {
              "name": "state",
              "label": "State",
              "value": "active",
              "display_value": "Active",
              "type": "string"
            },
            "product_offering": {
              "name": "product_offering",
              "label": "Product offering",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "product_specification": {
              "name": "product_specification",
              "label": "Product specification",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "product_model": {
              "name": "product_model",
              "label": "Product model",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "price_list": {
              "label": "Price list",
              "value": "19d29513d0e63110f8770dbf976be122",
              "display_value": "Standard Price List",
              "type": "reference"
            },
            "parent_line": {
              "name": "parent_line",
              "label": "Parent line",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "unit_net_price": {
              "name": "unit_net_price",
              "label": "Unit net price",
              "value": "0",
              "display_value": "£0.00",
              "type": "currency"
            },
            "quantity": {
              "name": "quantity",
              "label": "Quantity",
              "value": "2",
              "display_value": "2",
              "type": "decimal"
            },
            "unit_of_measure": null,
            "shipping_location": {
              "name": "shipping_location",
              "label": "Shipping location",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "total_one_time_price": {
              "name": "total_one_time_price",
              "label": "Total one-time price",
              "value": "0",
              "display_value": "£0.00",
              "type": "currency"
            },
            "total_recurring_price": {
              "name": "total_recurring_price",
              "label": "Total recurring price",
              "value": "0",
              "display_value": "£0.00",
              "type": "currency"
            },
            "top_agreement_line": null,
            "quote_line": {
              "name": "quote_line",
              "label": "Quote line",
              "value": null,
              "display_value": "",
              "type": "reference"
            },
            "sales_agreement_line_characteristics": [
              {
                "sys_id": {
                  "label": "Sys ID",
                  "value": "b093e08a78755a10f8777f88938ba1e0",
                  "displayValue": "b093e08a78755a10f8777f88938ba1e0",
                  "type": "GUID"
                },
                "sys_created_by": {
                  "name": "sys_created_by",
                  "label": "Created by",
                  "value": "maint",
                  "display_value": "maint",
                  "type": "string"
                },
                "sys_updated_by": {
                  "name": "sys_updated_by",
                  "label": "Updated by",
                  "value": "maint",
                  "display_value": "maint",
                  "type": "string"
                },
                "sys_created_on": {
                  "name": "sys_created_on",
                  "label": "Created",
                  "value": "2024-11-12 08:11:59",
                  "display_value": "2024-11-12 00:11:59",
                  "type": "glide_date_time"
                },
                "sys_updated_on": {
                  "name": "sys_updated_on",
                  "label": "Updated",
                  "value": "2024-11-12 08:11:59",
                  "display_value": "2024-11-12 00:11:59",
                  "type": "glide_date_time"
                },
                "sales_agreement": {
                  "name": "sales_agreement",
                  "label": "Sales agreement",
                  "value": "bc93e08a78755a10f8777f88938ba1d8",
                  "display_value": "SA0010106",
                  "type": "reference"
                },
                "sales_agreement_line": {
                  "name": "sales_agreement_line",
                  "label": "Sales agreement line",
                  "value": "3c93e08a78755a10f8777f88938ba1dd",
                  "display_value": "SAL0010126",
                  "type": "reference"
                },
                "characteristic": {
                  "name": "characteristic",
                  "label": "Characteristic",
                  "value": "4d289f1a775131108e191e599a5a99c7",
                  "display_value": "AC",
                  "type": "reference"
                },
                "type": {
                  "name": "type",
                  "label": "Type",
                  "value": "coverage",
                  "display_value": "Coverage",
                  "type": "string"
                },
                "characteristic_option": {
                  "name": "characteristic_option",
                  "label": "Characteristic option",
                  "value": null,
                  "display_value": "",
                  "type": "reference"
                },
                "value": {
                  "name": "value",
                  "label": "Value",
                  "value": null,
                  "display_value": "",
                  "type": "string"
                }
              }
            ],
            "sales_agreement_line_adjustments": [
              {
                "sys_id": {
                  "label": "Sys ID",
                  "value": "7093e08a78755a10f8777f88938ba1e1",
                  "displayValue": "7093e08a78755a10f8777f88938ba1e1",
                  "type": "GUID"
                },
                "sys_created_by": {
                  "name": "sys_created_by",
                  "label": "Created by",
                  "value": "maint",
                  "display_value": "maint",
                  "type": "string"
                },
                "sys_updated_by": {
                  "name": "sys_updated_by",
                  "label": "Updated by",
                  "value": "maint",
                  "display_value": "maint",
                  "type": "string"
                },
                "sys_created_on": {
                  "name": "sys_created_on",
                  "label": "Created",
                  "value": "2024-11-12 08:11:59",
                  "display_value": "2024-11-12 00:11:59",
                  "type": "glide_date_time"
                },
                "sys_updated_on": {
                  "name": "sys_updated_on",
                  "label": "Updated",
                  "value": "2024-11-12 08:11:59",
                  "display_value": "2024-11-12 00:11:59",
                  "type": "glide_date_time"
                },
                "sales_agreement": {
                  "name": "sales_agreement",
                  "label": "Sales agreement",
                  "value": "bc93e08a78755a10f8777f88938ba1d8",
                  "display_value": "SA0010106",
                  "type": "reference"
                },
                "sales_agreement_line": {
                  "name": "sales_agreement_line",
                  "label": "Sales Agreement Line",
                  "value": "3c93e08a78755a10f8777f88938ba1dd",
                  "display_value": "SAL0010126",
                  "type": "reference"
                },
                "adjustment_type": {
                  "name": "adjustment_type",
                  "label": "Adjustment type",
                  "value": "d88bc79653dd91105c0eddeeff7b12c1",
                  "display_value": "Markup amount",
                  "type": "reference"
                },
                "adjustment_source": {
                  "name": "adjustment_source",
                  "label": "Adjustment source",
                  "value": "MANUAL",
                  "display_value": "Manual",
                  "type": "string"
                },
                "adjustment_value": {
                  "name": "adjustment_value",
                  "label": "Adjustment value",
                  "value": "123",
                  "display_value": "123",
                  "type": "decimal"
                },
                "applicable_to": {
                  "name": "applicable_to",
                  "label": "Applicable to",
                  "value": "UNIT_QTY",
                  "display_value": "Unit Quantity",
                  "type": "string"
                },
                "short_description": {
                  "name": "short_description",
                  "label": "Short description",
                  "value": "line adjustment",
                  "display_value": "line adjustment",
                  "type": "string"
                },
                "number": {
                  "name": "number",
                  "label": "Number",
                  "value": "SALA0010031",
                  "display_value": "SALA0010031",
                  "type": "string"
                },
                "quantity": {
                  "name": "quantity",
                  "label": "Quantity",
                  "value": "3",
                  "display_value": "3",
                  "type": "integer"
                },
                "total_amount": {
                  "name": "total_amount",
                  "label": "Total amount",
                  "value": "0",
                  "display_value": "£0.00",
                  "type": "currency"
                },
                "amount": {
                  "name": "amount",
                  "label": "Amount",
                  "value": "0",
                  "display_value": "£0.00",
                  "type": "currency"
                }
              }
            ],
            "child_sales_agreement_lines": [
              {
                "sys_id": {
                  "label": "Sys ID",
                  "value": "7893e08a78755a10f8777f88938ba1e2",
                  "displayValue": "7893e08a78755a10f8777f88938ba1e2",
                  "type": "GUID"
                },
                "sys_created_by": {
                  "name": "sys_created_by",
                  "label": "Created by",
                  "value": "maint",
                  "display_value": "maint",
                  "type": "string"
                },
                "sys_updated_by": {
                  "name": "sys_updated_by",
                  "label": "Updated by",
                  "value": "maint",
                  "display_value": "maint",
                  "type": "string"
                },
                "sys_created_on": {
                  "name": "sys_created_on",
                  "label": "Created",
                  "value": "2024-11-12 08:11:59",
                  "display_value": "2024-11-12 00:11:59",
                  "type": "glide_date_time"
                },
                "sys_updated_on": {
                  "name": "sys_updated_on",
                  "label": "Updated",
                  "value": "2024-11-12 08:11:59",
                  "display_value": "2024-11-12 00:11:59",
                  "type": "glide_date_time"
                },
                "number": {
                  "name": "number",
                  "label": "Number",
                  "value": "SAL0010127",
                  "display_value": "SAL0010127",
                  "type": "string"
                },
                "sales_agreement": {
                  "name": "sales_agreement",
                  "label": "Sales agreement",
                  "value": "bc93e08a78755a10f8777f88938ba1d8",
                  "display_value": "SA0010106",
                  "type": "reference"
                },
                "short_description": {
                  "name": "short_description",
                  "label": "Short description",
                  "value": "this is sample sa line 1",
                  "display_value": "this is sample sa line 1",
                  "type": "string"
                },
                "start_date": {
                  "name": "start_date",
                  "label": "Start date",
                  "value": "2024-02-01",
                  "display_value": "2024-02-01",
                  "type": "glide_date"
                },
                "end_date": {
                  "name": "end_date",
                  "label": "End date",
                  "value": "2024-11-30",
                  "display_value": "2024-11-30",
                  "type": "glide_date"
                },
                "state": {
                  "name": "state",
                  "label": "State",
                  "value": "active",
                  "display_value": "Active",
                  "type": "string"
                },
                "product_offering": {
                  "name": "product_offering",
                  "label": "Product offering",
                  "value": null,
                  "display_value": "",
                  "type": "reference"
                },
                "product_specification": {
                  "name": "product_specification",
                  "label": "Product specification",
                  "value": null,
                  "display_value": "",
                  "type": "reference"
                },
                "product_model": {
                  "name": "product_model",
                  "label": "Product model",
                  "value": null,
                  "display_value": "",
                  "type": "reference"
                },
                "price_list": {
[...]
